import request from '@/utils/request'

//查询题库树
export function getTree() {
    return request({
        url: '/knowledge/system/questionBank/tree',
        method: 'get'
    })
}

//查询题库树
export function getById(id) {
    return request({
        url: '/knowledge/system/questionBank/getById',
        method: 'get',
        params:id
    })
}

//新增题库树
export function addTree(data) {
    return request({
        url: '/knowledge/system/questionBank/insert',
        method: 'post',
        data: data
    })
}

//修改题库树
export function update(data) {
    return request({
        url: '/knowledge/system/questionBank/update',
        method: 'post',
        data: data
    })
}

//删除题库树
export function deleteTree(idList) {
    return request({
        url: '/knowledge/system/questionBank/delete',
        method: 'post',
        params:idList
    })
}
